package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.context.MesProdRuleContext;
import cn.estsh.i3plus.ext.mes.pcn.pojo.context.MesProductionAssemblyNosortContext;
import cn.estsh.i3plus.ext.mes.pcn.pojo.context.MesProductionAssemblySortContext;
import cn.estsh.i3plus.pojo.mes.bean.MesAssemblyNosortCfg;
import cn.estsh.i3plus.pojo.mes.bean.MesProductionAssembly;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrderAssembly;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface IMesAssemblyExtService {

    @ApiOperation(value = "【排序线】获取生产工单装配件绑定记录")
    List<MesProductionAssemblySortContext> getProductionAssemblySortContextList(MesProdRuleContext prodRuleContext, List<String> workOrderNoList);

    @ApiOperation(value = "【排序线】获取生产工单装配件清单")
    List<MesWorkOrderAssembly> getWorkOrderAssemblyList(MesProdRuleContext prodRuleContext, List<String> workOrderNoList);

    @ApiOperation(value = "获取装配件绑定记录")
    List<MesProductionAssembly> getProductionAssemblyList(String organizeCode, Integer dataSource, List<Long> sourceIdList);

    @ApiOperation(value = "获取非排序装配件配置信息")
    List<MesProductionAssemblyNosortContext> getProductionAssemblyNosortContextList(String organizeCode, Long... pids);

    @ApiOperation(value = "获取非排序装配件配置信息")
    List<MesAssemblyNosortCfg> getAssemblyNosortCfgList(String organizeCode, Long... pids);


}
